<?php 
/**
 * Simple anchor package.
 *
 * @package     concrete5 v5.7.5+
 * @version     1.0.1
 * @license     MIT License
 * @author      SYSTAKE - Takahiko Takei
 * @copyright   (c) 2015 SYSTAKE.
 * @link        https://systake.com/
 */

namespace Concrete\Package\SimpleAnchor;

use Concrete\Core\Package\Package;
use BlockType;

defined('C5_EXECUTE') or die(_("Access Denied."));

/**
 * Package controller class.
 *
 * @author      SYSTAKE - Takahiko Takei
 * @copyright   (c) 2015 SYSTAKE.
 * @link        https://systake.com/
 * @extends     Concrete\Core\Package\Package
 */
class Controller extends Package
{
    /**
     * Installed handle of package.
     * インストールされるパッケージのハンドル名
     *
     * @var string
     */
    protected $pkgHandle = 'simple_anchor';

    /**
     * Required core version in order to be install the package.
     * パッケージのインストールに必要なコアのバージョン
     *
     * @var string
     */
    protected $appVersionRequired = '5.7.5';

    /**
     * Version of package installed.
     * パッケージのバージョン
     *
     * @var string
     */
    protected $pkgVersion = '1.0.1';

    /**
     * Returns the translated package description.
     * 翻訳されたパッケージの概要を取得
     *
     * @return string
     */
    public function getPackageDescription()
    {
        return t('Creates the anchor tag from a page on your site or specify the URL.');
    }

    /**
     * Returns the translated name of the package.
     * 翻訳されたパッケージの名称を取得
     *
     * @return string
     */
    public function getPackageName()
    {
        return t('Simple Anchor');
    }

    /**
     * Installs the package.
     * パッケージのインストール
     *
     * @return void
     */
    public function install()
    {
        $pkg = parent::install();

        // Install block.
        BlockType::installBlockType('anchor', $pkg);
    }
}
